package com.dgtis.dorm.manager.db.dao;

import java.util.List;
import com.dgtis.dorm.manager.db.domain.AlumniOrganizeUser;
import com.dgtis.dorm.manager.db.domain.AlumniOrganizeUserExample;
import org.apache.ibatis.annotations.Param;


public interface AlumniOrganizeUserMapper {
    long countByExample(AlumniOrganizeUserExample example);

    int deleteByExample(AlumniOrganizeUserExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(AlumniOrganizeUser record);

    int insertSelective(AlumniOrganizeUser record);

    List<AlumniOrganizeUser> selectByExample(AlumniOrganizeUserExample example);

    AlumniOrganizeUser selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") AlumniOrganizeUser record, @Param("example") AlumniOrganizeUserExample example);

    int updateByExample(@Param("record") AlumniOrganizeUser record, @Param("example") AlumniOrganizeUserExample example);

    int updateByPrimaryKeySelective(AlumniOrganizeUser record);

    int updateByPrimaryKey(AlumniOrganizeUser record);
}